Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 976)
+++ admin/blog_pref.php	(revision 860)
@@ -82,7 +82,5 @@
 	__('year/month/title') => '{y}/{m}/{t}',
 	__('year/title') => '{y}/{t}',
-	__('title') => '{t}',
-	__('post id/title') => '{id}/{t}',
-	__('post id') => '{id}'
+	__('title') => '{t}'
 );
 if (!in_array($blog_settings->system->post_url_format,$post_url_combo)) {
@@ -90,14 +88,6 @@
 }
 
-# Note title tag combo
-$note_title_tag_combo = array(
-	__('H4') => 0,
-	__('H3') => 1,
-	__('P') => 2
-);
-
 # Image title combo
 $img_title_combo = array(
-	__('(none)') => '',
 	__('Title') => 'Title ;; separator(, )',
 	__('Title, Date') => 'Title ;; Date(%b %Y) ;; separator(, )',
@@ -108,20 +98,4 @@
 	$img_title_combo[html::escapeHTML($blog_settings->system->media_img_title_pattern)] = html::escapeHTML($blog_settings->system->media_img_title_pattern);
 }
-
-# Image default size combo
-$img_default_size_combo = array();
-$media = new dcMedia($core);
-$img_default_size_combo[__('original')] = 'o';
-foreach ($media->thumb_sizes as $code => $size) {
-	$img_default_size_combo[__($size[2])] = $code;
-}
-
-# Image default alignment combo
-$img_default_alignment_combo = array(
-	__('None') => 'none',
-	__('Left') => 'left',
-	__('Right') => 'right',
-	__('Center') => 'center'
-);
 
 # Robots policy options
@@ -217,5 +191,4 @@
 		$blog_settings->system->put('wiki_comments',!empty($_POST['wiki_comments']));
 		$blog_settings->system->put('enable_xmlrpc',!empty($_POST['enable_xmlrpc']));
-		$blog_settings->system->put('note_title_tag',$_POST['note_title_tag']);
 		
 		$blog_settings->system->put('nb_post_per_page',$nb_post_per_page);
@@ -225,7 +198,4 @@
 		$blog_settings->system->put('media_img_m_size',$media_img_m_size);
 		$blog_settings->system->put('media_img_title_pattern',$_POST['media_img_title_pattern']);
-		$blog_settings->system->put('media_img_default_size',$_POST['media_img_default_size']);
-		$blog_settings->system->put('media_img_default_alignment',$_POST['media_img_default_alignment']);
-		$blog_settings->system->put('media_img_default_link',!empty($_POST['media_img_default_link']));
 		$blog_settings->system->put('nb_post_per_feed',$nb_post_per_feed);
 		$blog_settings->system->put('nb_comment_per_feed',$nb_comment_per_feed);
@@ -277,9 +247,9 @@
 	
 	if (!empty($_GET['add'])) {
-		dcPage::message(__('Blog has been successfully created.'));
+		echo '<p class="message">'.__('Blog has been successfully created.').'</p>';
 	}
 	
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Blog has been successfully updated.'));
+		echo '<p class="message">'.__('Blog has been successfully updated.').'</p>';
 	}
 	
@@ -340,41 +310,19 @@
 	form::combo('blog_timezone',dt::getZones(true,true),html::escapeHTML($blog_settings->system->blog_timezone)).
 	'</label></p>'.
-
+	'</div>'.
+	
+	'<div class="col">'.
 	'<p><label for="copyright_notice">'.__('Copyright notice:').
 	form::field('copyright_notice',30,255,html::escapeHTML($blog_settings->system->copyright_notice)).
 	'</label></p>'.
-	'</div>'.
-	
-	'<div class="col">'.
+	
 	'<p><label for="post_url_format">'.__('New post URL format:').
 	form::combo('post_url_format',$post_url_combo,html::escapeHTML($blog_settings->system->post_url_format)).
 	'</label></p>'.
-
-	'<p><label for="note_title_tag">'.__('Note title HTML tag:').
-	form::combo('note_title_tag',$note_title_tag_combo,$blog_settings->system->note_title_tag).
-	'</label></p>'.
-		
+	
 	'<p><label for="enable_xmlrpc" class="classic">'.
 	form::checkbox('enable_xmlrpc','1',$blog_settings->system->enable_xmlrpc).
-	__('Enable XML/RPC interface').'</label></p>';
-
-	echo
-		'<p class="form-note">'.__('XML/RPC interface allows you to edit your blog with an external client.').'</p>';	
-
-	if ($blog_settings->system->enable_xmlrpc) {
-		echo
-		'<p>'.__('XML/RPC interface is active. You should set the following parameters on your XML/RPC client:').'</p>'.
-		'<ul>'.
-		'<li>'.__('Server URL:').' <strong><code>'.
-		sprintf(DC_XMLRPC_URL,$core->blog->url,$core->blog->id).
-		'</code></strong></li>'.
-		'<li>'.__('Blogging system:').' <strong><code>Movable Type</code></strong></li>'.
-		'<li>'.__('User name:').' <strong><code>'.$core->auth->userID().'</code></strong></li>'.
-		'<li>'.__('Password:').' <strong><code>&lt;'.__('your password').'&gt;</code></strong></li>'.
-		'<li>'.__('Blog ID:').' <strong><code>1</code></strong></li>'.
-		'</ul>';
-	}
-
-	echo
+	__('Enable XML/RPC interface').'</label>'.
+	' - <a href="#xmlrpc">'.__('more information').'</a></p>'.
 	'</div>'.
 	'</div>'.
@@ -483,20 +431,5 @@
 	'<p>'.form::combo('media_img_title_pattern',$img_title_combo,html::escapeHTML($blog_settings->system->media_img_title_pattern)).'</p>'.
 	'</div>'.
-
-	'<div class="col">'.
-	'<h4>'.__('Default image insertion attributes').'</h4>'.
-	'<p><label for="media_img_default_size">'.__('Image size:').
-	form::combo('media_img_default_size',$img_default_size_combo,
-		(html::escapeHTML($blog_settings->system->media_img_default_size) != '' ? html::escapeHTML($blog_settings->system->media_img_default_size) : 'm')).
-	'</label></p>'.
-	'<p><label for="media_img_default_alignment">'.__('Image alignment').
-	form::combo('media_img_default_alignment',$img_default_alignment_combo,html::escapeHTML($blog_settings->system->media_img_default_alignment)).
-	'</label></p>'.
-	'<p><label for="media_img_default_link" class="classic">'.
-	form::checkbox('media_img_default_link','1',$blog_settings->system->media_img_default_link).
-	__('As a link to original image').'</label></p>'.
-	'</div>'.
-	'</div>'.
-
+	'</div>'.
 	'</fieldset>';
 	
@@ -532,10 +465,28 @@
 		$core->formNonce().'</p>'.
 		'</form>';
-	} else {
-		if ($blog_id == $core->blog->id) {
-			echo '<p class="message">'.__('The current blog cannot be deleted').'</p>';
-		} else {
-			echo '<p class="message">'.__('Only superadmin can delete a blog').'</p>';
-		}
+	}
+	
+	# XML/RPC information
+	echo '<h3 id="xmlrpc">'.__('XML/RPC interface').'</h3>';
+	
+	echo '<p>'.__('XML/RPC interface allows you to edit your blog with an external client.').'</p>';
+	
+	if (!$blog_settings->system->enable_xmlrpc)
+	{
+		echo '<p>'.__('XML/RPC interface is not active. Change settings to enable it.').'</p>';
+	}
+	else
+	{
+		echo
+		'<p>'.__('XML/RPC interface is active. You should set the following parameters on your XML/RPC client:').'</p>'.
+		'<ul>'.
+		'<li>'.__('Server URL:').' <strong>'.
+		sprintf(DC_XMLRPC_URL,$core->blog->url,$core->blog->id).
+		'</strong></li>'.
+		'<li>'.__('Blogging system:').' <strong>Movable Type</strong></li>'.
+		'<li>'.__('User name:').' <strong>'.$core->auth->userID().'</strong></li>'.
+		'<li>'.__('Password:').' <strong>'.__('your password').'</strong></li>'.
+		'<li>'.__('Blog ID:').' <strong>1</strong></li>'.
+		'</ul>';
 	}
 	
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 907)
+++ admin/blog_theme.php	(revision 719)
@@ -219,13 +219,15 @@
 	
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Theme has been successfully changed.'));
+		echo '<p class="message">'.__('Theme has been successfully changed.').'</p>';
 	}
 	
 	if (!empty($_GET['added'])) {
-		dcPage::message(($_GET['added'] == 2 ? __('Theme has been successfully upgraded') : __('Theme has been successfully installed.')));
+		echo '<p class="message">'.
+		($_GET['added'] == 2 ? __('Theme has been successfully upgraded') : __('Theme has been successfully installed.')).
+		'</p>';
 	}
 	
 	if (!empty($_GET['del'])) {
-		dcPage::message(__('Theme has been successfully deleted.'));
+		echo '<p class="message">'.__('Theme has been successfully deleted.').'</p>';
 	}
 	
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 907)
+++ admin/blogs.php	(revision 792)
@@ -76,5 +76,5 @@
 
 if (!empty($_GET['del'])) {
-	dcPage::message(__('Blog has been successfully deleted.'));
+	echo '<p class="message">'.__('Blog has been successfully deleted.').'</p>';
 }
 
@@ -133,5 +133,5 @@
 		'<th>'.__('Blog name').'</th>'.
 		'<th class="nowrap">'.__('Last update').'</th>'.
-		'<th class="nowrap">'.__('Entries (all types)').'</th>'.
+		'<th class="nowrap">'.__('Entries').'</th>'.
 		'<th class="nowrap">'.__('Blog ID').'</th>'.
 		'<th>&nbsp;</th>'.
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 1017)
+++ admin/categories.php	(revision 560)
@@ -20,5 +20,4 @@
 	try
 	{
-		# Check if category to delete exists
 		$c = $core->blog->getCategory((integer) $_POST['del_cat']);
 		if ($c->isEmpty()) {
@@ -26,25 +25,5 @@
 		}
 		unset($c);
-		
-		# Check if category where to move posts exists
-		$mov_cat = (integer) $_POST['mov_cat'];
-		$mov_cat = $mov_cat ? $mov_cat : null;
-		if ($mov_cat !== null) {
-			$c = $core->blog->getCategory((integer) $_POST['del_cat']);
-			if ($c->isEmpty()) {
-				throw new Exception(__('This category does not exist.'));
-			}
-			if ($mov_cat == $_POST['del_cat']) {
-				throw new Exception(__('The entries cannot be moved to the category you choose to delete.'));
-			}
-			unset($c);
-		}
-		
-		# Move posts
-		$core->blog->updPostsCategory($_POST['del_cat'],$mov_cat);
-		
-		# Delete category
 		$core->blog->delCategory($_POST['del_cat']);
-		
 		http::redirect('categories.php?del=1');
 	}
@@ -77,14 +56,14 @@
 
 if (!empty($_GET['add'])) {
-	dcPage::message(__('The category has been successfully created.'));
+	echo '<p class="message">'.__('The category has been successfully created.').'</p>';
 }
 if (!empty($_GET['del'])) {
-	dcPage::message(__('The category has been successfully removed.'));
+		echo '<p class="message">'.__('The category has been successfully removed.').'</p>';
 }
 if (!empty($_GET['reord'])) {
-	dcPage::message(__('Categories have been successfully reordered.'));
+		echo '<p class="message">'.__('Categories have been successfully reordered.').'</p>';
 }
 if (!empty($_GET['moved'])) {
-	dcPage::message(__('The category has been successfully moved.'));
+		echo '<p class="message">'.__('The category has been successfully moved.').'</p>';
 }
 
@@ -164,6 +143,5 @@
 if (!$rs->isEmpty())
 {
-	$cats = array();
-	$dest = array('&nbsp;' => '');
+	$deletable = array();
 	$l = $rs->level;
 	$full_name = array($rs->cat_title);
@@ -176,22 +154,22 @@
 		}
 		$full_name[] = html::escapeHTML($rs->cat_title);
-		
-		$cats[implode(' / ',$full_name)] = $rs->cat_id;
-		$dest[implode(' / ',$full_name)] = $rs->cat_id;
-		
+		if ($rs->nb_post == 0) {
+			$deletable[implode(' / ',$full_name)] = $rs->cat_id;
+		}
 		$l = $rs->level;
 	}
 	
-	echo
-	'<form action="categories.php" method="post" id="delete-category">'.
-	'<fieldset><legend>'.__('Remove a category').'</legend>'.
-	'<p><label for="del_cat">'.__('Choose a category to remove:').' '.
-	form::combo('del_cat',$cats).'</label></p> '.
-	'<p><label for="mov_cat">'.__('And choose the category which will receive its entries:').' '.
-	form::combo('mov_cat',$dest).'</label></p> '.
-	'<p><input type="submit" value="'.__('Delete').'" class="delete" /></p>'.
-	$core->formNonce().
-	'</fieldset>'.
-	'</form>';
+	if (count($deletable) > 0)
+	{
+		echo
+		'<form action="categories.php" method="post" id="delete-category">'.
+		'<fieldset><legend>'.__('Remove a category').'</legend>'.
+		'<p><label for="del_cat">'.__('Choose a category to remove:').' '.
+		form::combo('del_cat',$deletable).'</label></p> '.
+		'<p><input type="submit" value="'.__('Delete').'" class="delete" /></p>'.
+		$core->formNonce().
+		'</fieldset>'.
+		'</form>';
+	}
 	
 	echo
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 907)
+++ admin/category.php	(revision 500)
@@ -164,5 +164,5 @@
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Category has been successfully updated.'));
+	echo '<p class="message">'.__('Category has been successfully updated.').'</p>';
 }
 
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 907)
+++ admin/comment.php	(revision 500)
@@ -171,5 +171,5 @@
 {
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Comment has been successfully updated.'));
+		echo '<p class="message">'.__('Comment has been successfully updated.').'</p>';
 	}
 	
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 1000)
+++ admin/index.php	(revision 691)
@@ -81,13 +81,11 @@
 		$fav = unserialize($v['value']);
 		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			if (dc_valid_fav($fav['url'])) {
-				$count++;
-				$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-					($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-				$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
-
-				# Let plugins set their own title for favorite on dashboard
-				$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
-			}
+			$count++;
+			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
+				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
+			$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
+
+			# Let plugins set their own title for favorite on dashboard
+			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
 		}
 	}
@@ -98,13 +96,11 @@
 		$fav = unserialize($v['value']);
 		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			if (dc_valid_fav($fav['url'])) {
-				$count++;
-				$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-					($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-				$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
-
-				# Let plugins set their own title for favorite on dashboard
-				$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
-			}
+			$count++;
+			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
+				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
+			$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
+
+			# Let plugins set their own title for favorite on dashboard
+			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
 		}
 	}
@@ -129,5 +125,5 @@
 	
 		foreach ($__resources['doc'] as $k => $v) {
-			$doc_links .= '<li><a href="'.$v.'" title="'.$k.' '.__('(external link)').'">'.$k.'</a></li>';
+			$doc_links .= '<li><a href="'.$v.'">'.$k.'</a></li>';
 		}
 	
@@ -156,16 +152,15 @@
 			foreach ($feed->items as $item)
 			{
-				$dt = isset($item->link) ? '<a href="'.$item->link.'" title="'.$item->title.' '.__('(external link)').'">'.
-					$item->title.'</a>' : $item->title;
+				$dt = isset($item->link) ? '<a href="'.$item->link.'">'.$item->title.'</a>' : $item->title;
 			
 				if ($i < 3) {
 					$latest_news .=
 					'<dt>'.$dt.'</dt>'.
-					'<dd><p><strong>'.dt::dt2str(__('%d %B %Y:'),$item->pubdate,'Europe/Paris').'</strong> '.
+					'<dd><p><strong>'.dt::dt2str('%d %B %Y',$item->pubdate,'Europe/Paris').'</strong>: '.
 					'<em>'.text::cutString(html::clean($item->content),120).'...</em></p></dd>';
 				} else {
 					$latest_news .=
 					'<dt>'.$dt.'</dt>'.
-					'<dd>'.dt::dt2str(__('%d %B %Y:'),$item->pubdate,'Europe/Paris').'</dd>';
+					'<dd>'.dt::dt2str('%d %B %Y',$item->pubdate,'Europe/Paris').'</dd>';
 				}
 				$i++;
Index: admin/js/_media_item.js
===================================================================
--- admin/js/_media_item.js	(revision 947)
+++ admin/js/_media_item.js	(revision 0)
@@ -63,9 +63,3 @@
 		return true;
 	});
-
-	// Confirm for deleting current medoa
-	$('#delete-form input[name="delete"]').click(function() {
-		return window.confirm(dotclear.msg.confirm_delete_media);
-	});
-
 });
Index: admin/js/_posts_list.js
===================================================================
--- admin/js/_posts_list.js	(revision 995)
+++ admin/js/_posts_list.js	(revision 740)
@@ -69,9 +69,4 @@
 
 $(function() {
-	// Entry type switcher
-	$('#type').change(function() {
-		this.form.submit();
-	});
-
 	$('#form-entries tr.line').each(function() {
 		dotclear.postExpander(this);
Index: admin/js/_users_actions.js
===================================================================
--- admin/js/_users_actions.js	(revision 935)
+++ admin/js/_users_actions.js	(revision 860)
@@ -39,7 +39,4 @@
 					E.onclick = function() { $(this.form).updatePermissionsForm(); };
 				} else if (perm == 'contentadmin' && !E.disabled) {
-					perms[blog]['usage'].checked = E.checked;
-					perms[blog]['publish'].checked = E.checked;
-					perms[blog]['delete'].checked = E.checked;
 					perms[blog]['usage'].disabled = E.checked;
 					perms[blog]['publish'].disabled = E.checked;
@@ -47,5 +44,4 @@
 					E.onclick = function() { $(this.form).updatePermissionsForm(); };
 				} else if (perm == 'media_admin' && !E.disabled) {
-					perms[blog]['media'].checked = E.checked;
 					perms[blog]['media'].disabled = E.checked;
 					E.onclick = function() { $(this.form).updatePermissionsForm(); };
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 1002)
+++ admin/js/common.js	(revision 343)
@@ -159,6 +159,6 @@
 	var sizeBox = function() {
 		This.css('height','auto');
-		if ($('#main').height() > This.height()) {
-			This.css('height',$('#main').height() + 'px');
+		if ($('body').height() > This.height()) {
+			This.css('height',$('body').height() + 'px');
 		}
 	};
@@ -319,5 +319,24 @@
 -------------------------------------------------------- */
 function positionFooter() {
-	$('#footer').constantfooter();
+	$("#wrapper").css({ overflow: "auto" });
+	var page_height = $("#top").height() + $("#wrapper").height() - $("#footer").height();
+	if( page_height < $(window).height() ){
+		// calcul de la largeur
+		var page_width = $(document).width() - 30;
+		$("#footer").css({
+			position: "absolute",
+			bottom: "10px",
+			width: page_width+"px",
+			padding: ".75em 0",
+			marginbottom: "0"
+		});
+	} else {
+		$("#footer").css({
+			position: "static",
+			padding: ".75em 0",
+			width: "auto"
+		});
+	}
+
 }
 
@@ -352,5 +371,5 @@
 
 	$('.message').backgroundFade({sColor:'#cccccc',eColor:'#666666',steps:20});
-	$('.error').backgroundFade({sColor:'#ffeee3',eColor:'#ffdec8',steps:20});
+	$('.error').backgroundFade({sColor:'#f5e5e5',eColor:'#e5bfbf',steps:20});
 
 	$('form:has(input[type=password][name=your_pwd])').submit(function() {
@@ -366,4 +385,5 @@
 	});
 
+
 	// Sticky footer
 	positionFooter();
